Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Eclipse 3.3 Solaris Motif build
Eclipse 3.3 Solaris Motif build [message #321462] Wed, 17 October 2007 17:06 Go to next message
Eclipse User
Originally posted by: daniel.m.ormond.lmco.com

I am trying to build Eclipse 3.3.1 for solaris 8 using motif. I built
Eclipse 3.3.1 from eclipse-sourceBuild-srcIncluded-3.3.1.zip using the
command:
build -os solaris -ws motif -arch sparc

The build went fine but when I tried running Eclipse I got an error about
finding libgtk-x11-2.0.so.0. This told me that the launcher for Eclipse
is the gtk version instead of the motif version. So I tried to copy all
the files from
features/org.eclipse.equinox.exectuable/bin/motif/solaris/sp arc into my
built Eclpise and I get the error:
"The Eclipse executable launcher was unable to locate its companion shared
library"

Copying the launcher is basically a workaround for the build not working
properly. Does anyone have a fix to either one of these issues?

Thanks,

Dann
Re: Eclipse 3.3 Solaris Motif build [message #321465 is a reply to message #321462] Wed, 17 October 2007 18:25 Go to previous messageGo to next message
Andrew Niefer is currently offline Andrew Niefer
Messages: 990
Registered: July 2009
Senior Member
I don't know why the source build gave you a gtk launcher.
But the companion shared library is in the
org.eclipse.equinox.launcher.motif.solaris.sparc fragment, make sure that
fragment is included.
-Andrew

Dann Ormond wrote:
> I am trying to build Eclipse 3.3.1 for solaris 8 using motif. I built
> Eclipse 3.3.1 from eclipse-sourceBuild-srcIncluded-3.3.1.zip using the
> command:
> build -os solaris -ws motif -arch sparc
>
> The build went fine but when I tried running Eclipse I got an error
> about finding libgtk-x11-2.0.so.0. This told me that the launcher for
> Eclipse is the gtk version instead of the motif version. So I tried to
> copy all the files from
> features/org.eclipse.equinox.exectuable/bin/motif/solaris/sp arc into my
> built Eclpise and I get the error:
> "The Eclipse executable launcher was unable to locate its companion
> shared library"
>
> Copying the launcher is basically a workaround for the build not working
> properly. Does anyone have a fix to either one of these issues?
>
> Thanks,
>
> Dann
>
Re: Eclipse 3.3 Solaris Motif build [message #321466 is a reply to message #321465] Wed, 17 October 2007 18:46 Go to previous messageGo to next message
Eclipse User
Originally posted by: daniel.m.ormond.lmco.com

It looks like the Equinox launchers no longer have a build for
solaris/motif/sparc. I will have to see if I can build my own.

Dann

Andrew Niefer wrote:

> I don't know why the source build gave you a gtk launcher.
> But the companion shared library is in the
> org.eclipse.equinox.launcher.motif.solaris.sparc fragment, make sure that
> fragment is included.
> -Andrew

> Dann Ormond wrote:
>> I am trying to build Eclipse 3.3.1 for solaris 8 using motif. I built
>> Eclipse 3.3.1 from eclipse-sourceBuild-srcIncluded-3.3.1.zip using the
>> command:
>> build -os solaris -ws motif -arch sparc
>>
>> The build went fine but when I tried running Eclipse I got an error
>> about finding libgtk-x11-2.0.so.0. This told me that the launcher for
>> Eclipse is the gtk version instead of the motif version. So I tried to
>> copy all the files from
>> features/org.eclipse.equinox.exectuable/bin/motif/solaris/sp arc into my
>> built Eclpise and I get the error:
>> "The Eclipse executable launcher was unable to locate its companion
>> shared library"
>>
>> Copying the launcher is basically a workaround for the build not working
>> properly. Does anyone have a fix to either one of these issues?
>>
>> Thanks,
>>
>> Dann
>>
Re: Eclipse 3.3 Solaris Motif build [message #321487 is a reply to message #321466] Thu, 18 October 2007 11:35 Go to previous messageGo to next message
Andrew Niefer is currently offline Andrew Niefer
Messages: 990
Registered: July 2009
Senior Member
They binaries are compiled, but the fragment itself isn't built.

Look in cvs for the fragment:
dev.eclipse.org:/cvsroot/eclipse/org.eclipse.equinox.launche r/fragments/org.eclipse.equinox.launcher.motif.solaris.sparc

The fragment is there with the compiled shared library. You just need to build
the fragment itself like any other bundle gets built.

-Andrew

Dann Ormond wrote:
> It looks like the Equinox launchers no longer have a build for
> solaris/motif/sparc. I will have to see if I can build my own.
>
> Dann
>
> Andrew Niefer wrote:
>
>> I don't know why the source build gave you a gtk launcher.
>> But the companion shared library is in the
>> org.eclipse.equinox.launcher.motif.solaris.sparc fragment, make sure
>> that fragment is included.
>> -Andrew
>
>> Dann Ormond wrote:
>>> I am trying to build Eclipse 3.3.1 for solaris 8 using motif. I built
>>> Eclipse 3.3.1 from eclipse-sourceBuild-srcIncluded-3.3.1.zip using
>>> the command:
>>> build -os solaris -ws motif -arch sparc
>>>
>>> The build went fine but when I tried running Eclipse I got an error
>>> about finding libgtk-x11-2.0.so.0. This told me that the launcher
>>> for Eclipse is the gtk version instead of the motif version. So I
>>> tried to copy all the files from
>>> features/org.eclipse.equinox.exectuable/bin/motif/solaris/sp arc into
>>> my built Eclpise and I get the error:
>>> "The Eclipse executable launcher was unable to locate its companion
>>> shared library"
>>>
>>> Copying the launcher is basically a workaround for the build not
>>> working properly. Does anyone have a fix to either one of these issues?
>>>
>>> Thanks,
>>>
>>> Dann
>>>
>
>
Re: Eclipse 3.3 Solaris Motif build [message #321504 is a reply to message #321487] Thu, 18 October 2007 14:49 Go to previous messageGo to next message
Eclipse User
Originally posted by: daniel.m.ormond.lmco.com

I don't see how to build the fragment. I am still learning how Eclipse is
built and the only direction I have currently is the main isntructions for
build all of eclipse. How do I build the individual fragment?

Thanks,

Dann

Andrew Niefer wrote:

> They binaries are compiled, but the fragment itself isn't built.

> Look in cvs for the fragment:
>
dev.eclipse.org:/cvsroot/eclipse/org.eclipse.equinox.launche r/fragments/org.eclipse.equinox.launcher.motif.solaris.sparc

> The fragment is there with the compiled shared library. You just need to
build
> the fragment itself like any other bundle gets built.

> -Andrew

> Dann Ormond wrote:
>> It looks like the Equinox launchers no longer have a build for
>> solaris/motif/sparc. I will have to see if I can build my own.
>>
>> Dann
>>
>> Andrew Niefer wrote:
>>
>>> I don't know why the source build gave you a gtk launcher.
>>> But the companion shared library is in the
>>> org.eclipse.equinox.launcher.motif.solaris.sparc fragment, make sure
>>> that fragment is included.
>>> -Andrew
>>
>>> Dann Ormond wrote:
>>>> I am trying to build Eclipse 3.3.1 for solaris 8 using motif. I built
>>>> Eclipse 3.3.1 from eclipse-sourceBuild-srcIncluded-3.3.1.zip using
>>>> the command:
>>>> build -os solaris -ws motif -arch sparc
>>>>
>>>> The build went fine but when I tried running Eclipse I got an error
>>>> about finding libgtk-x11-2.0.so.0. This told me that the launcher
>>>> for Eclipse is the gtk version instead of the motif version. So I
>>>> tried to copy all the files from
>>>> features/org.eclipse.equinox.exectuable/bin/motif/solaris/sp arc into
>>>> my built Eclpise and I get the error:
>>>> "The Eclipse executable launcher was unable to locate its companion
>>>> shared library"
>>>>
>>>> Copying the launcher is basically a workaround for the build not
>>>> working properly. Does anyone have a fix to either one of these issues?
>>>>
>>>> Thanks,
>>>>
>>>> Dann
>>>>
>>
>>
Re: Eclipse 3.3 Solaris Motif build [message #321513 is a reply to message #321487] Thu, 18 October 2007 19:20 Go to previous messageGo to next message
Eclipse User
Originally posted by: daniel.m.ormond.lmco.com

The build I have for Solaris, motif, sparc is now working. I had to make
a few changes to the ant build files to make it all work for me but in the
end it works. I will post what I did to make it work so anyone else can
use the same (as if anyone uses Solaris with motif anymore :-) ).

Thanks for you help Andrew. It is much appreciated.

Dann

Andrew Niefer wrote:

> They binaries are compiled, but the fragment itself isn't built.

> Look in cvs for the fragment:
>
dev.eclipse.org:/cvsroot/eclipse/org.eclipse.equinox.launche r/fragments/org.eclipse.equinox.launcher.motif.solaris.sparc

> The fragment is there with the compiled shared library. You just need to
build
> the fragment itself like any other bundle gets built.

> -Andrew

> Dann Ormond wrote:
>> It looks like the Equinox launchers no longer have a build for
>> solaris/motif/sparc. I will have to see if I can build my own.
>>
>> Dann
>>
>> Andrew Niefer wrote:
>>
>>> I don't know why the source build gave you a gtk launcher.
>>> But the companion shared library is in the
>>> org.eclipse.equinox.launcher.motif.solaris.sparc fragment, make sure
>>> that fragment is included.
>>> -Andrew
>>
>>> Dann Ormond wrote:
>>>> I am trying to build Eclipse 3.3.1 for solaris 8 using motif. I built
>>>> Eclipse 3.3.1 from eclipse-sourceBuild-srcIncluded-3.3.1.zip using
>>>> the command:
>>>> build -os solaris -ws motif -arch sparc
>>>>
>>>> The build went fine but when I tried running Eclipse I got an error
>>>> about finding libgtk-x11-2.0.so.0. This told me that the launcher
>>>> for Eclipse is the gtk version instead of the motif version. So I
>>>> tried to copy all the files from
>>>> features/org.eclipse.equinox.exectuable/bin/motif/solaris/sp arc into
>>>> my built Eclpise and I get the error:
>>>> "The Eclipse executable launcher was unable to locate its companion
>>>> shared library"
>>>>
>>>> Copying the launcher is basically a workaround for the build not
>>>> working properly. Does anyone have a fix to either one of these issues?
>>>>
>>>> Thanks,
>>>>
>>>> Dann
>>>>
>>
>>
Re: Eclipse 3.3 Solaris Motif build [message #324289 is a reply to message #321513] Tue, 22 January 2008 11:06 Go to previous messageGo to next message
Eclipse User
Originally posted by: cortmorgan.yahoo.com

Hi,

Trying to do the same here. ( Motif on Solaris 9 ). Did you post the steps anywhere? If not, could you please? Would save me a lot of time!

regards,

John

> The build I have for Solaris, motif, sparc is now
> working. I had to make
> a few changes to the ant build files to make it all
> work for me but in the
> end it works. I will post what I did to make it work
> so anyone else can
> use the same (as if anyone uses Solaris with motif
> anymore :-) ).
>
> Thanks for you help Andrew. It is much appreciated.
>
> Dann
>
> Andrew Niefer wrote:
>
> > They binaries are compiled, but the fragment itself
> isn't built.
>
> > Look in cvs for the fragment:
> >
> dev.eclipse.org:/cvsroot/eclipse/org.eclipse.equinox.l
> auncher/fragments/org.eclipse.equinox.launcher.motif.s
> olaris.sparc
>
> > The fragment is there with the compiled shared
> library. You just need to
> build
> > the fragment itself like any other bundle gets
> built.
>
> > -Andrew
>
> > Dann Ormond wrote:
> >> It looks like the Equinox launchers no longer have
> a build for
> >> solaris/motif/sparc. I will have to see if I can
> build my own.
> >>
> >> Dann
> >>
> >> Andrew Niefer wrote:
> >>
> >>> I don't know why the source build gave you a gtk
> launcher.
> >>> But the companion shared library is in the
> >>> org.eclipse.equinox.launcher.motif.solaris.sparc
> fragment, make sure
> >>> that fragment is included.
> >>> -Andrew
> >>
> >>> Dann Ormond wrote:
> >>>> I am trying to build Eclipse 3.3.1 for solaris 8
> using motif. I built
> >>>> Eclipse 3.3.1 from
> eclipse-sourceBuild-srcIncluded-3.3.1.zip using
> >>>> the command:
> >>>> build -os solaris -ws motif -arch sparc
> >>>>
> >>>> The build went fine but when I tried running
> Eclipse I got an error
> >>>> about finding libgtk-x11-2.0.so.0. This told me
> that the launcher
> >>>> for Eclipse is the gtk version instead of the
> motif version. So I
> >>>> tried to copy all the files from
> >>>>
> features/org.eclipse.equinox.exectuable/bin/motif/sola
> ris/sparc into
> >>>> my built Eclpise and I get the error:
> >>>> "The Eclipse executable launcher was unable to
> locate its companion
> >>>> shared library"
> >>>>
> >>>> Copying the launcher is basically a workaround
> for the build not
> >>>> working properly. Does anyone have a fix to
> either one of these issues?
> >>>>
> >>>> Thanks,
> >>>>
> >>>> Dann
> >>>>
> >>
> >>
>
>
icon14.gif  Re: Eclipse 3.3 Solaris Motif build [message #504683 is a reply to message #324289] Tue, 22 December 2009 07:11 Go to previous message
Anup Puranik is currently offline Anup Puranik
Messages: 1
Registered: December 2009
Junior Member
I've been trying the same but for 3.5.1 version. I've been successful at making this work. I've written down the steps on my blog :

http://anuppuranik.blogspot.com/2009/12/eclipse-351-on-solar is-10-with-motif.html

Check it out. Don't forget to leave your comments.
Previous Topic:Displaying HTML content with HREFs to documentation plug-in???
Next Topic:Errors during installing new features for Galileo
Goto Forum:
  


Current Time: Thu Oct 30 15:15:17 GMT 2014

Powered by FUDForum. Page generated in 0.02153 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software